{ config, pkgs, ... }:

{
    imports = [
        (import ./modules/zsh/config.nix {inherit config pkgs;})
        (import ./modules/nvim/config.nix {inherit config pkgs;})
    ];

    home.stateVersion = "24.11";
    targets.genericLinux.enable = true;
    nixpkgs.config.allowUnfree = true;

    home.packages = with pkgs; [
        htop
    ];

    programs.bash.enable = true;
    programs.home-manager.enable = true;
    programs.git = {
        enable = true;
        userName = "Thomas Avé";
        userEmail = "email@thomasave.be";
        aliases = {
            s = "status";
            a = "add";
        };
    };
}
